Subject: bug#1412: what-file-line, used when writing gdb script

From: Lars Ingebrigtsen <[email-masked]>
Date: Mon, 29 Feb 2016 15:23:48 +1100

"richardeng" <[email-masked]> writes:

> Package: emacs
> Version: 23.0.60
> Severity: wishlist
>
> When I write gdb script, I need to set many breakpoints. such as:
> b xxx_file.c:xxx_line_number
>
> With following, I can do it easier.
> -----
> (defcustom what-file-line-separator ":"
>   "Define the separator between file name and line number"
>   :type 'string
>   :group 'editing)
>
> (defcustom what-file-line-killp nil
>   "Toggle on/off kill to yank ring"
>   :type 'boolean
>   :group 'editing)
>
> ;; Maybe this variable is useless, because user can copy what they want in mini-buffer                                  
> (defcustom what-file-line-fullpath t
>   "Toggle on/off file name fullpath"
>   :type 'boolean
>   :group 'editing)
>
> (defun what-file-line ()
>   "Print the current buffer's file name and line nubmer"
>   (interactive)
>   (let ((n (line-number-at-pos))
>         (file (buffer-file-name))
>         result)
>     (setq result (concat file what-file-line-separator (number-to-string n)))
>     (message "%s" result)
>     (if what-file-line-killp
>         (kill-new result))))

Hm...  I don't think this sounds generally very useful (it's both kinda
too low level to be useful as a command, and too high level to be useful
as a function), so I'm closing this bug report.  Please reopen if
disagreeing.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no